Debian Bug report logs - #468855
live-helper: make image large enough

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Bas Wijnen <wijnen@debian.org>

Date: Sat, 1 Mar 2008 22:57:06 UTC

Severity: normal

Tags: patch

Found in version live-helper/1.0~a38-1

Fixed in version live-helper/1.0~a39-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468855; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: submit@bugs.debian.org
Subject: live-helper: make image large enough
Date: Sat, 1 Mar 2008 23:54:52 +0100
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0~a38-1
Severity: Normal
Tags: Patch

When building a very minimal live system on a usb-hdd target, the
generated image is too small.  The problem is in lh_binary_usb-hdd, line
85:

REAL_DIM="$(expr ${DU_DIM} + ${DU_DIM} / 50)"

A very minimal system is smaller than 50MB, and so this is the same as
DU_DIM for such a system.  This is too small.  Unconditionally adding
one, making it:

REAL_DIM="$(expr ${DU_DIM} + ${DU_DIM} / 50 + 1)"

Solves the problem.

Thanks,
Bas

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://pcbcn10.phys.rug.nl/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468855; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 468855@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Bas Wijnen <wijnen@debian.org>, 468855@bugs.debian.org
Subject: Re: Bug#468855: live-helper: make image large enough
Date: Sun, 02 Mar 2008 08:27:22 +0100
tags 468855 +pending
thanks

Bas Wijnen wrote:
> A very minimal system is smaller than 50MB, and so this is the same as
> DU_DIM for such a system.  This is too small.  Unconditionally adding
> one, making it:
> 
> REAL_DIM="$(expr ${DU_DIM} + ${DU_DIM} / 50 + 1)"
> 
> Solves the problem.

thanks, added in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 07:36:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468855-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 468855-close@bugs.debian.org
Subject: Bug#468855: fixed in live-helper 1.0~a39-1
Date: Mon, 03 Mar 2008 07:17:27 +0000
Source: live-helper
Source-Version: 1.0~a39-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a39-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a39-1.diff.gz
live-helper_1.0~a39-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a39-1.dsc
live-helper_1.0~a39-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a39-1_all.deb
live-helper_1.0~a39.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a39.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468855@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  3 Mar 2008 00:00:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a39-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live helper programs
Closes: 468201 468855 468902
Changes: 
 live-helper (1.0~a39-1) unstable; urgency=medium
 .
   [ Bas Wijnen ]
   * Making usb-hdd images large enough (Closes: #468855).
 .
   [ Chris Lamb ]
   * Use  instead of  for checking for no arguments in lh_clean.
 .
   [ Daniel Baumann ]
   * New upstream release.
   * Fixing spelling mistake in changelog.
   * Fixing manpage quoting errors.
   * Rewriting copyright in machine-interpretable format.
   * Adding option to set binary-net compression (or disable it).
   * When a wrong argument is passed, that argument should be listed
     (Closes: #468201).
   * Added forgotten getopts arguments for chroot mirror.
   * Adding lzma modules on sid.
   * Changing version scheme for snapshots.
   * Fixing typo in sed call to set isolinux splash file.
   * Honor local preseeding file for debian-installer.
   * Using wildcards to support more than one preseeding file.
   * Including default kernel-img.conf in live-systems.
   * It's actually enough to just truncate kernel-img.conf and also less
     invasive than including a default configuration.
   * Adding --jffs2-eraseblock parameter.
   * Adding temporary hack to remove fstab when using live-installer.
   * Fixed accidental overwriting of LH_NET_TARBALL value in defaults.
   * Also handling ext3 in lh_binary_rootfs, thanks to Bas Wijnen
     <wijnen@debian.org> (Closes: #468902).
Files: 
 98d4eb805e21176b469c662a50128368 854 misc optional live-helper_1.0~a39-1.dsc
 01aea764069abcbc43f16f10f62a9729 1936352 misc optional live-helper_1.0~a39.orig.tar.gz
 e24cbe18bcbbb54fd8150135b877c064 11420 misc optional live-helper_1.0~a39-1.diff.gz
 922e3a9f3c0875ddefa256102a04a768 1880932 misc optional live-helper_1.0~a39-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHy5/3+C5cwEsrK54RAgzIAKCRvxnAgE8t+WV3zm1E59V/ya8HggCgjynB
7V/+ZELen5rNJjR6++fuvhs=
=KOtw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Apr 2008 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:39:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.